Get Job

Returns a single job by ID.

Requires scope: jobs:read

Authentication

API_KEYstring
API Key authentication via header

Path parameters

idUUIDRequired
Job ID.

Response

This endpoint returns an object.
idUUID
Unique identifier for the job.
namestring
Display name of the job.
createdAtdatetime
ISO 8601 timestamp when the record was created.
updatedAtdatetime
ISO 8601 timestamp when the record was last updated.
numberstringOptional
Job number or external reference.
clientobjectOptional
Client contact associated with the job.
scheduledAtdatetimeOptional
ISO 8601 timestamp for when the job is scheduled.
notestringOptional

Free-form notes attached to the job.

addressobjectOptional
Address where the job is performed.
activebooleanOptional

Whether the job is currently active. Archived jobs are returned with false.

assignedUserIdslist of UUIDsOptional

IDs of users (technicians) assigned to this job.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Rate Limit Error